Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 13027
Description

Loading a WMS-Layer with an authentication request (in my case the WMS-service of the Bavarian LVG) QGIS is freezing. The program
can only be stopped with the task manager.

This bug appeared with version 1.5 (Windows Stand Alone Version as well as [[OsGeo]] Installer Version).

Some further hints:

QGIS 1.4 connects to the WMS-server and loads the layer without problems. The program does not ask me for username and password,
because both seem to be stored in the configuration file of QGIS.

Doing the same with QGIS 1.5, the program asks me for username and password, even though both is yet stored (entries in the editing
dialogue of the WMS-connection). After typing in again username and password QGIS 1.5 connects correctly to the WMS-server and it is
possible to choose a layer. But loading the layer fails and QGIS freezes.

It seems, that the program is not able to store the authentication data for the next step (that means retrieving the WMS-layer) and
therefore crashes when trying to download it.

History

#1 - 2011-04-19 11:03 PM - Jiirgen Fischer

is this still the case?

#2 - 2011-05-02 11:50 PM - macfo -

- Resolution set to fixed

- Status changed from Open to Closed

Loading of a WMS-layer with authentication request now works again (QGIS 1.6 & 1.7). Thanks a lot!

#3 - 2011-05-02 11:59 PM - macfo -
- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Note: Still remains the problem, that QGIS freezes, when a wms-layer requests authentication and a wrong password is entered. In this case the programm
can only be stopped with the Windows task manager.

#4 - 2011-12-10 07:59 AM - Jiirgen Fischer
- Pull Request or Patch supplied set to No

- Resolution set to worksforme
- Priority changed from Low to Normal
- Target version changed from Version 1.7.0 to Version 1.8.0
- Status changed from Feedback to Closed

macfo - wrote:

Note: Still remains the problem, that QGIS freezes, when a wms-layer requests authentication and a wrong password is entered. In this case the

programm can only be stopped with the Windows task manager.

| actually get returning requests for the right password. | guess this is fixed.

2025-04-27 22



